package net.ko.controller;

import net.ko.inheritance.KReflectObject;
import net.ko.utils.Converter;
import net.ko.utils.KHash;
import net.ko.utils.KString;

public class KTransformer {

	public KTransformer() {
	}
	public static String xssClean(String value){
		String result=value;
		if(value!=null)
			result=KString.xssClean(result);
		return result;
	}
	
	public static String htmlSpecialChars(String value){
		String result=value;
		if(value!=null)
			result=KString.htmlSpecialChars(result);
		return result;
	}
	
	public static String trim(String value){
		String result=value;
		if(value!=null)
			result=result.trim();
		return result;
	}
	
	public static String md5(String value){
		String result=value;
		if(value!=null)
			result=KHash.getMD5(result);
		return result;
	}
	
	public static String toLower(String value){
		String result=value;
		if(value!=null)
			result=result.toLowerCase();
		return result;
	}
	
	public static String toUpper(String value){
		String result=value;
		if(value!=null)
			result=result.toUpperCase();
		return result;
	}
	
	public static String firstUpper(String value){
		String result=value;
		if(value!=null)
			result=KString.capitalizeFirstLetter(result);
		return result;
	}
	
	public static String pluriel(String value){
		String result=value;
		if(value!=null)
			result=KString.pluriel(result);
		return result;
	}
	
	public static String toBoolean(String value){
		String result=value;
		if(value!=null)
			result=KString.isBooleanTrue(result)+"";
		return result;
	}
	
	public static String toInt(String value){
		String result=value;
		if(value!=null){
			try{
				result=Integer.valueOf(result)+"";
			}catch(Exception e){result="0";}
		}
		return result;
	}
	
	public String parse(String transform,String value){
		String result=value;
		if(transform!=null&&!"".equals(transform)){
			String methods[]=transform.split("\\|");
			for(String method:methods){
				result=KReflectObject.kinvoke(method, this.getClass(), new String[]{result})+"";
			}
		}
		return result;
	}
}
