/**
 * Classe KForeignKey
 * 
 * @author jcheron
 * @link http://www.kobject.net/
 * @copyright Copyright kobject 2008-2010
 * @license http://www.kobject.net/index.php?option=com_content&view=article&id=50&Itemid=2  BSD License
 * @version $Id: KForeignKey.java,v 1.1 2010/01/18 01:01:29 jcheron Exp $
 * @package ko.ksql
 */
package net.ko.ksql;

public class KForeignKey {
	private String pkTableName;
	private String pkFieldName;
	private String fkTableName;
	private String fkFieldName;
	public KForeignKey(String pkTableName, String pkFieldName,
			String fkTableName, String fkFieldName) {
		super();
		this.pkTableName = pkTableName;
		this.pkFieldName = pkFieldName;
		this.fkTableName = fkTableName;
		this.fkFieldName = fkFieldName;
	}
	public String getPkTableName() {
		return pkTableName;
	}
	public void setPkTableName(String pkTableName) {
		this.pkTableName = pkTableName;
	}
	public String getPkFieldName() {
		return pkFieldName;
	}
	public void setPkFieldName(String pkFieldName) {
		this.pkFieldName = pkFieldName;
	}
	public String getFkTableName() {
		return fkTableName;
	}
	public void setFkTableName(String fkTableName) {
		this.fkTableName = fkTableName;
	}
	public String getFkFieldName() {
		return fkFieldName;
	}
	public void setFkFieldName(String fkFieldName) {
		this.fkFieldName = fkFieldName;
	}
	public boolean equals(KForeignKey fk){
		return fk.getPkFieldName().equalsIgnoreCase(pkFieldName) 
		&& fk.getPkTableName().equalsIgnoreCase(pkTableName)
		&& fk.getFkFieldName().equalsIgnoreCase(fkFieldName)
		&& fk.getFkTableName().equalsIgnoreCase(fkTableName);
	}
	
}
