package net.kernel;

import net.ko.kobject.KListObject;
import net.ko.kobject.KObject;

/**
 * Classe KVisiteur
 */
@SuppressWarnings("serial")
public class KVisiteur extends KObject {
	private String prenom;
	private java.sql.Date dateEmbauche;
	private String mdp;
	private String cp;
	private String adresse;
	private KListObject<KFichefrais> fichefraiss;
	private String ville;
	private String login;
	private String nom;
	private int admin;

	public KVisiteur() {
		super();
		keyFields = "id";
		tableName = "visiteur";
		// hasMany(KFichefrais.class);

	}

	/**
	 * return the value of prenom
	 * 
	 * @return prenom
	 */
	public String getPrenom() {
		return this.prenom;
	}

	/**
	 * return the value of dateEmbauche
	 * 
	 * @return dateEmbauche
	 */
	public java.sql.Date getDateEmbauche() {
		return this.dateEmbauche;
	}

	/**
	 * return the value of mdp
	 * 
	 * @return mdp
	 */
	public String getMdp() {
		return this.mdp;
	}

	/**
	 * return the value of cp
	 * 
	 * @return cp
	 */
	public String getCp() {
		return this.cp;
	}

	/**
	 * return the value of adresse
	 * 
	 * @return adresse
	 */
	public String getAdresse() {
		return this.adresse;
	}

	/**
	 * return the value of fichefraiss
	 * 
	 * @return fichefraiss
	 */
	public KListObject<KFichefrais> getFichefraiss() {
		return this.fichefraiss;
	}

	/**
	 * return the value of ville
	 * 
	 * @return ville
	 */
	public String getVille() {
		return this.ville;
	}

	/**
	 * return the value of login
	 * 
	 * @return login
	 */
	public String getLogin() {
		return this.login;
	}

	/**
	 * return the value of nom
	 * 
	 * @return nom
	 */
	public String getNom() {
		return this.nom;
	}

	public int getAdmin() {
		return this.admin;
	}

	/**
	 * set the value of prenom
	 * 
	 * @param aPrenom
	 */
	public void setPrenom(String aPrenom) {
		this.prenom = aPrenom;
	}

	/**
	 * set the value of dateEmbauche
	 * 
	 * @param aDateEmbauche
	 */
	public void setDateEmbauche(java.sql.Date aDateEmbauche) {
		this.dateEmbauche = aDateEmbauche;
	}

	/**
	 * set the value of mdp
	 * 
	 * @param aMdp
	 */
	public void setMdp(String aMdp) {
		this.mdp = aMdp;
	}

	/**
	 * set the value of cp
	 * 
	 * @param aCp
	 */
	public void setCp(String aCp) {
		this.cp = aCp;
	}

	/**
	 * set the value of adresse
	 * 
	 * @param aAdresse
	 */
	public void setAdresse(String aAdresse) {
		this.adresse = aAdresse;
	}

	/**
	 * set the value of fichefraiss
	 * 
	 * @param aFichefraiss
	 */
	public void setFichefraiss(KListObject<KFichefrais> aFichefraiss) {
		this.fichefraiss = aFichefraiss;
	}

	/**
	 * set the value of ville
	 * 
	 * @param aVille
	 */
	public void setVille(String aVille) {
		this.ville = aVille;
	}

	/**
	 * set the value of login
	 * 
	 * @param aLogin
	 */
	public void setLogin(String aLogin) {
		this.login = aLogin;
	}

	/**
	 * set the value of nom
	 * 
	 * @param aNom
	 */
	public void setNom(String aNom) {
		this.nom = aNom;
	}

	public void setAdmin(int admin) {
		this.admin = admin;
	}

	@Override
	public String toString() {

		return prenom + "  " + nom;
	}
}