package net.ko.cmd;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;
import java.util.logging.Level;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import net.ko.framework.Ko;
import net.ko.framework.KoHttp;

public class KRestart implements KCmdInterface {

	@Override
	public int run(HttpServletRequest request,HttpServletResponse response) {
		try {
			HttpSession session=request.getSession();
			KoHttp.krestart(session,request.getParameter("restart"));
			PrintWriter out=response.getWriter();
			out.print("Rechargement terminé<script type='text/javascript'>setTimeout(\"$('_commandesResponse').innerHTML='';\",10000);</script>");
			System.out.println("Rechargement terminé");
			System.out.println(request.getParameter("restart"));
		} catch (ClassNotFoundException | InstantiationException
				| IllegalAccessException | SQLException | IOException e) {
				Ko.klogger().log(Level.SEVERE, "Erreur lors du rechargement", e);
		}
		return 0;
	}

}
