package net.ko.http.js;

import net.ko.controller.KObjectController;
import net.ko.framework.Ko;
import net.ko.http.objects.KRequest;
import net.ko.http.views.KPageList;
import net.ko.kobject.KObject;

/**
 * Classe d'insertion de script javascript dans les vues
 * @author jcheron
 *
 */
public class KJavaScript {

	public static String getValidator(String idForm,String events,String JSON){
		String result="<script>var v"+idForm+"=new Forms.Validator("+events+","+JSON+",'"+idForm+"');</script>";
		return result;
	}
	public static String getKoEditBtn(KObject ko){
		String result="";
		try {
			result= "<input type='button' value='...' class='sInnerBtn' onclick='javascript:showfrmEdit(\""+ko.keyValuesToUrl()+"\",\""+ko.getClass().getName()+"\");'>";
		} catch (Exception e) {}
		return result;
	}

	@SuppressWarnings({"unused" })
	public static String kGetAjxForm(String name,String title,KPageList kpageList) throws InstantiationException, IllegalAccessException{
		String ret="";
		Class<? extends KObject> koClass=kpageList.getClazz();
		String className=koClass.getSimpleName();
		String functionName=name;
		name+=className;
		KObject ko=(KObject)koClass.newInstance();
		KObjectController koc= Ko.kcontroller().getObjectController(koClass.getSimpleName());
		String ctrlString=koc.toJSON();
		String queryString=KRequest.getQueryString(kpageList.getRequest());
		String idForm=kpageList.getIdForm();
		String ajaxDivMessageSubmit=kpageList.getAjaxDivMessageSubmit();
		String ajaxDivContentRefresh=kpageList.getAjaxDivContentRefresh();
		String listContentUrl=kpageList.getListContentUrl();
		int messageDelay=kpageList.getMessageDelay();
		String selectStyle=kpageList.getSelectStyle();
		boolean modal=kpageList.isFormModal();
		String messageAndUpdateURL=kpageList.getMessageAndUpdateUrl();
		String url=kpageList.getEditFormUrl();
		String frmValidCaption=kpageList.getFrmValidCaption();
		String frmCancelCaption=kpageList.getFrmCancelCaption();
		
		if(!"".equals(queryString))
			queryString="&"+queryString;

		ret="<script type='text/javascript'>\n";
		ret+="lb"+functionName+"=new Forms.Framework.FormForList();";
		ret+="lb"+functionName+".options={\"isEdit\":"+name.toLowerCase().startsWith("frmedit")+
				",\"idForm\":\""+idForm+"\""+
				",\"queryString\":\""+queryString+"\""+
				",\"ajaxDivMessageSubmit\":\""+ajaxDivMessageSubmit+"\""+
				",\"ajaxDivContentRefresh\":\""+ajaxDivContentRefresh+"\""+
				",\"listContentUrl\":\""+listContentUrl+"\""+
				",\"messageDelay\":"+messageDelay+""+
				",\"className\":\""+className+"\""+
				",\"title\":\""+title+"\""+
				",\"url\":\""+url+"\""+
				",\"frmValidCaption\":\""+frmValidCaption+"\""+
				",\"frmCancelCaption\":\""+frmCancelCaption+"\""+
				",\"lbName\":\""+name+"\""+
				",\"modal\":"+modal+""+
				",\"controlOn\":\""+kpageList.getFrmControlOn()+"\""+
				",\"functionName\":\""+functionName+"\""+
				",\"messageAndUpdateURL\":\""+messageAndUpdateURL+"\""+
				"};";
		ret+="lb"+functionName+".selectStyle="+selectStyle+";";
		ret+="lb"+functionName+".ctrlString="+ctrlString+";";
		ret+="lb"+functionName+".init();";
		ret+="</script>\n";
		return ret;
	}
	public static String infoBulle(String label,String content){
		String result="<div class='infobulle'>"+label+"<div>"+content+"</div></div>";
		return result;
	}

}
