package net.ko.kobject;

import net.ko.utils.KoUtils;

public class KConstraintHasManyBelongsTo extends KConstraintHasMany {
	private static final long serialVersionUID = 1L;

	private Class<? extends KObject> belongsToClass;
	private String belongsToField;
	public KConstraintHasManyBelongsTo(String member,
			Class<? extends KObject> clazz, String where) {
		super(member, clazz, where);
		lazy=false;
	}
	public Class<? extends KObject> getJoinClass() {
		return belongsToClass;
	}
	public void setJoinClass(Class<? extends KObject> joinClass) {
		this.belongsToClass = joinClass;
	}
	public String getBelongsToField(){
		String result=belongsToField;
		if(result==null||"".equals(result))
			if(clazz!=null){
				try {
					KObject ko=clazz.newInstance();
					result=ko.getConstraints().getMember(belongsToClass, KConstraintBelongsTo.class);
					result=KoUtils.getFkFieldName(result);
				} catch (InstantiationException | IllegalAccessException e) {
				}
				
			}
		return result;
	}
	public Class<? extends KObject> getBelongsToClass() {
		return belongsToClass;
	}
	public void setBelongsToClass(Class<? extends KObject> belongsToClass) {
		this.belongsToClass = belongsToClass;
	}
	public void setBelongsToField(String belongsToField) {
		this.belongsToField = belongsToField;
	}

}
