package net.ko.mapping;

import net.ko.utils.KString;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class KAjaxDialogButton extends KAjaxWithChilds {
	protected String caption;
	protected int keyCode=-1;
	
	public KAjaxDialogButton() {
		super();
	}

	@Override
	public String createFunction() {
		return getFunctions();
	}

	@Override
	public boolean isValid() {
		return caption!=null;
	}

	@Override
	public void initFromXml(Node item) {
		Element e=(Element)item;
		this.caption=e.getAttribute("caption");
		String strKeyCode=e.getAttribute("keyCode");
		if(strKeyCode!=null&&!"".equals(strKeyCode)){
			try{
				this.keyCode=Integer.valueOf(strKeyCode);
			}catch(Exception ex){keyCode=-1;}
		}
		childs=KAjaxJs.getChilds(item,true);
	}
	@Override
	public String toString() {
		String result=createFunction();
		result="function(obj){"+result+"}";
		return result;
	}

	public String getCaption() {
		return caption;
	}

	public void setCaption(String caption) {
		this.caption = caption;
	}

	public int getKeyCode() {
		if(keyCode==-1)
			return 0;
		return keyCode;
	}

	public void setKeyCode(int keyCode) {
		this.keyCode = keyCode;
	}
	public String getButtons(){
		String strFunctions=getFunctions();
		if(!"".equals(strFunctions))
			return "{\"caption\":\""+KString.jsQuote(caption)+"\",\"keyCode\":"+getKeyCode()+",\"action\":"+getFunctions()+"}";
		else
			return "{\"caption\":\""+KString.jsQuote(caption)+"\",\"keyCode\":"+getKeyCode()+"}";
	}

	@Override
	public String getDisplayCaption() {
		return caption;
	}
}
