package net.ko.mapping;

import java.util.ArrayList;


public abstract class KAjaxWithChilds extends KAjaxObject {
	protected ArrayList<IAjaxObject> childs;
	protected String targetFunction;

	public KAjaxWithChilds() {
		super();
		targetFunction="";
		childs=new ArrayList<>();
	}

	public String getFunctions(){
		String result="";
		String sep="";
		int nb=0;
		for(int i=0;i<childs.size()-1;i++){
			result+=sep+childs.get(i).toString();
			sep=",";
			nb++;
		}
		if(childs.size()>0){
			result+=sep+childs.get(childs.size()-1).toString();
			nb++;
			sep=",";
		}
			
		if(!"".equals(targetFunction)){
			result+=sep+targetFunction;
			nb++;
		}
		if(nb>1)
			result="new Array("+result+")";
		return result;
	}

	public ArrayList<IAjaxObject> getChilds() {
		return childs;
	}
	public String displayChilds(int niveau){
		String result="";
			for(IAjaxObject obj:childs){
				result+=obj.display(niveau);
			}
			return result;
	}
	public ArrayList<String> getURLs(){
		ArrayList<String> result=new ArrayList<>();
		for(IAjaxObject obj:childs){
			if(obj instanceof IHasURL)
				result.add(((IHasURL)obj).getURL());
		}
		return result;
	}

	@Override
	public boolean hasChilds() {
		return super.hasChilds()||getURLs().size()>0;
	}
}
